summaryrefslogtreecommitdiffstats
path: root/desktop/q4wine
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/q4wine')
-rw-r--r--desktop/q4wine/q4wine.SlackBuild36
-rw-r--r--desktop/q4wine/q4wine.info6
2 files changed, 26 insertions, 16 deletions
diff --git a/desktop/q4wine/q4wine.SlackBuild b/desktop/q4wine/q4wine.SlackBuild
index fdd4ff4946..77f7f77050 100644
--- a/desktop/q4wine/q4wine.SlackBuild
+++ b/desktop/q4wine/q4wine.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for qt4wine
@@ -22,20 +22,30 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=q4wine
-VERSION=${VERSION:-1.3}
+VERSION=${VERSION:-1.3.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -43,8 +53,8 @@ OUTPUT=${OUTPUT:-/tmp}
# Leave this here for now - it is needed if we use an -rc version.
SRCVERSION=$(echo $VERSION | tr _ -)
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -67,10 +77,10 @@ tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.?z*
cd $PRGNAM-$SRCVERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir build
( cd build
@@ -83,9 +93,9 @@ mkdir build
make
make install DESTDIR=$PKG
-) || exit
+) || exit 1
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Move man pages in to the correct place and compress them.
@@ -102,4 +112,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/q4wine/q4wine.info b/desktop/q4wine/q4wine.info
index 2bf4b18352..1ebd41c85d 100644
--- a/desktop/q4wine/q4wine.info
+++ b/desktop/q4wine/q4wine.info
@@ -1,8 +1,8 @@
PRGNAM="q4wine"
-VERSION="1.3"
+VERSION="1.3.12"
HOMEPAGE="https://sourceforge.net/projects/q4wine/"
-DOWNLOAD="http://downloads.sourceforge.net/q4wine/q4wine-1.3.tar.bz2"
-MD5SUM="3290726d2423e28cef0354774ea3a17b"
+DOWNLOAD="http://downloads.sourceforge.net/q4wine/q4wine-1.3.12.tar.bz2"
+MD5SUM="632dea3d1314850437d3f4f7b8e89ef5"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="icoutils fuseiso"